### Enumeration

# FwupdPlugin ArchiveCompression

#### Declaration

    enum FwupdPlugin.ArchiveCompression

#### Description

No description available.

#### Members

`FU_ARCHIVE_COMPRESSION_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_NONE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_GZIP`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_BZIP2`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_COMPRESS`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZMA`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_XZ`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_UU`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZIP`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LRZIP`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZOP`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_GRZIP`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZ4`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_ZSTD`

  No description available.

  - Value: `13`
  - Available since: 1.0